using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Windows.Forms;
using Infragistics.Win.UltraWinGrid;
using Infragistics.Win;
using System.Diagnostics;
using Infragistics.Shared;
using System.IO;
using Infragistics.Win.AppStyling;
using Infragistics.Win.UltraWinEditors;
using System.Collections;
using System.Text;
using Infragistics.Win.UltraWinProgressBar;


namespace MemDataTable_CS
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private DataTable dt1;

        private void Form1_Load(object sender, System.EventArgs e)
        {
            // Set grid's DataSource            
            dt1 = DummyDataCreator.GetData(10, new Type[] {typeof(string)});

            dt1.TableName = "Band 0";

            this.ultraGrid1.SetDataBinding(dt1, null);
            this.ultraGrid2.SetDataBinding(dt1, null);
        }        
        private void ultraGrid1_InitializeLayout(object sender, Infragistics.Win.UltraWinGrid.InitializeLayoutEventArgs e)
        {
            UltraGridLayout layout = e.Layout;
            UltraGridBand band = layout.Bands[0];
            UltraGridOverride ov = layout.Override;

            UltraGridColumn column = band.Columns["String 1"];

            column.MaskInput = "aaaaa\\/aa\\.aaaa";
            column.MaskDisplayMode = Infragistics.Win.UltraWinMaskedEdit.MaskMode.IncludeBoth;
            column.MaskDataMode = Infragistics.Win.UltraWinMaskedEdit.MaskMode.Raw;
            
        }
    }
}